<?php
	
	session_start();
		if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' ){

		}else{

			header('location:acceso_denegado.php');

		}
	
		
?>


<?php
include('../conexion.php'); 
include ("../funciones/fechas.php");
	
$cdgcli=$_POST["cdgcli"];
$dsccli=strtoupper($_POST["dsccli"]);
//$numrec=$_POST["numrec"]; G
//$estrec=$_POST["cboestrecs"];
$estrec =0;
$numrec=$_POST["numrec"];
$fechahoy=date("Y-m-d");

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
//if ($remito <> "") { $where.=" AND terminal_pagos_clientes.remito='$remito'"; }
//if ($numrec2 <> "") { $where.=" AND terminal_pagos_clientes.numrec='$numrec2'"; }
if ($dsccli <> "") { $where.=" AND dsccli like '%".$dsccli."%'"; }
//if ($numrec <> "") { $where.=" AND numrec='$numrec'"; }
if ($numrec <> "") { $where.=" AND numrec='$numrec'"; }
//
if ($estrec > "0") { $where.=" AND estrec='$estrec'"; }

if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND  fecrec between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecrec>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND  fecrec<='".$fechafin."'";
		}
	}
}

$query_busqueda="SELECT count(*) as filas FROM terminal_pagos_clientes WHERE   ".$where;
$rs_busqueda = $mysqli->query($query_busqueda);
$fila = $rs_busqueda->fetch_array();
$filas = $fila["filas"];


$query_busqueda="SELECT * FROM terminal_pagos_clientes WHERE  ".$where;
$where.=" ORDER BY   fecrec DESC , letra ASC , numero DESC";	
 if ($rs_busqueda = $mysqli->query($query_busqueda))

$totalorden_compra=0;
$totalorden=0;
$totalrecibos=0;
while ($fila3 = $rs_busqueda->fetch_assoc()) {


	$totalrecibos+=$fila3["montot"];
}

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function Ver_Recibo(numrec) {
			parent.location.href="Ver_Recibo.php?numrec=" + numrec + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_proforma(numrec,marcaestrec) {
			if (marcaestrec==1) {
				parent.location.href="modificar_proforma.php?numrec=" + numrec + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
		function Eliminar_Recibo(numrec,estrec) {
				if (estrec==1) {
				if (confirm("Esta seguro de anular el recibo ?")) {
				parent.location.href="Anular_Recibo.php?numrec=" + numrec + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} 
			} else {
				alert ("Error, el recibo ya se encuentra anulado");
			}
		}
		

		function Imprimir(numrec,estrec) {
				if (estrec==1) {
				if (confirm("Desea reimprimir el siguiente recibo ?")) {
				window.open("../fpdf/imprimir_recibo_MANUAL_PUNTO_VENTA.php?numrec="+numrec);
			} 
			} else {
				alert ("Error, el recibo no puede ser impreso, ya fue anulado verifique");
			}
		}
		

		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalrecibos.value=document.getElementById("totalrecibos").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalrecibos" id="totalrecibos" value="<?php echo $totalrecibos?>">
				<?php
				// $iniciopagina=$_POST["iniciopagina"];
				if (!isset($_POST["iniciopagina"])) { $iniciopagina=""; } else  {  $iniciopagina=$_POST["iniciopagina"]; }
				
				if (!isset($_GET["iniciopagina"])) { $iniciopagina=-1; } else  {  $iniciopagina=$_GET["iniciopagina"]; }
				 
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
					<?php
$sel_resultado="SELECT SUBSTRING(numrec, 2,10) AS numero , SUBSTRING(numrec, 1,1) AS letra,  numrec, dsccli ,cdgcli,fecrec,montot,estrec,numrec, cdgcaj FROM terminal_pagos_clientes WHERE   ".$where;
 if ($res_resultado = $mysqli->query($sel_resultado)) 

$contador=0;
$marcaestrec=0;	

									while ($fila1 = $res_resultado->fetch_assoc()) {
									$cdgcaj = $fila1["cdgcaj"];
									


		$query_usuario="SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$rs_busqueda = $mysqli->query($query_usuario);
		$fila2 = $rs_busqueda->fetch_array();
		$nomusu = $fila2["usu"];
		
		                     $fecrec = $fila1["fecrec"];						
							$fecrec= implode("-", array_reverse(explode("-", $fecrec)));
							$marcaestrec = $fila1["estrec"]; 
									
								
								if ($marcaestrec  == 1) { $estrec="OK"; } else { $estrec="NULO"; } 
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td class="" width="2%"><?php $contador+1;?></td>
								<td width="9%"><div align="center"><?php echo $fila1["numrec"]?></div></td>
								<td width="8%"><div align="center"><?php echo  $fila1["cdgcli"]?></div></td>	
								<td width="30%"><div align="left"><?php echo $fila1["dsccli"] ?></div></td>	
								<td width="13%"><div align="center"><?php echo $fecrec?></div></td>	
								<td width="11%"><div align="center"><?php echo $estrec?></div></td>							
								<td width="8%"><div align="center"><?php echo $nomusu?></div></td>
								<td width="9%"><div align="right"><?php echo number_format($fila1["montot"],2,".",",")?></div></td>	
								<td width="1%"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" alt="Ver" width="25" height="25" border="0" title="Visualizar" onClick="Ver_Recibo('<?php echo $fila1["numrec"] ?>')"></a></td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" alt="Anular" width="25" height="25" border="0" title="Anular Recibo" onClick="Eliminar_Recibo('<?php echo $fila1["numrec"]?>', <?php echo  $fila1["estrec"]?>)"></a></div></td>
								<td width="5%"><a href="#"><img src="../img/print-icon (5).png" alt="Imprimir" width="25" height="25" border="0" title="Reimprimir Recibo" onClick="Imprimir(<?php echo $fila1["numrec"] ?>, <?php echo $fila1["estrec"]?>)"></a></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ningun recibo que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
